package exprconst;

import java.util.ArrayList;
/**
 * Interface des expressions formé de constantes entières et/ou d'opérations
 * arithmétiques sur les entiers.
 * @author aponte
 *
 */
public interface Expr {
	/**
	 * Calcule la valeur de l'expression courante.
	 * @return un entier.
	 */
	public int val();
	/**
	 * Retourne la liste des sous-expressions de l'expression courante
	 * dans le cas où il s'agit d'un opérateur.
	 * @return
	 */
	public ArrayList<Expr> operandes();
	
}
